Subject: MPC860 patches for glibc

From: Brendan J Simon <[email-masked]>
Date: Thu, 06 Jan 2000 09:24:36 +1100

Kenneth Johansson wrote:

> Brendan J Simon wrote:
>
> > Momchil 'Velco' Velikov wrote:
> >
> >
> > I removed the -shared argument and the executable now looks a lot better interms of the vaddr and
> > program headers etc.  I used "powerpc-linux-gcc -Wall -mcpu=860 -fpic -o bjs1 bjs1.c".  I tried
> > with -fPIC, -fpic and without either.  The program still does not run however.  The output of
> > objdump -p  is below.
> > Does this look OK ?
> > Any suggestions for debugging the code or the shared libraries ?
> >
>
> Have you patched your glibc source so it can work on 860 ??

I didn't realise there were 860 patches for glibc.
Where can I get these patches from ?
What do they do ?

I just ran configure and make with CC="powerpc-linux-gcc -mcpu=860" or CFLAGS=-mcpu=860.  I can't
remember which.

Thanks,
Brendan Simon.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/